import json
from strava import Strava

class Api():
    """API interfaces"""
    def __init__(self, api_name):
        def strava():
            """Strava API - get my recent rides"""
            s = Strava()
            return json.dumps(s.get_athlete())
        functions = {name:f for (name, f) in locals() if l != 'self'}
        return functions[api_name]
